OpenNMS API 1.2.9

## org.opennms.install
Class ColumnChange

    java.lang.Object
      org.opennms.install.ColumnChange

public class ColumnChange
extends java.lang.Object

Field Summary
`private Column` `m_column`
`private int` `m_columnType`
`private java.lang.Object` `m_nullReplace`
`private int` `m_prepareIndex`
`private int` `m_selectIndex`
`private boolean` `m_upgradeTimestamp`

Constructor Summary
`ColumnChange()`

Method Summary
`Column` `getColumn()`
`int` `getColumnType()`
`java.lang.Object` `getNullReplace()`
`int` `getPrepareIndex()`
`int` `getSelectIndex()`
`boolean` `isNullReplace()`
`boolean` `isUpgradeTimestamp()`
`void` `setColumn(Column column)`
`void` `setColumnType(int columnType)`
`void` `setNullReplace(java.lang.Object nullReplace)`
`void` `setPrepareIndex(int prepareIndex)`
`void` `setSelectIndex(int selectIndex)`
`void` `setUpgradeTimestamp(boolean upgradeTimestamp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_column

    private Column m_column

### m_nullReplace

    private java.lang.Object m_nullReplace

### m_upgradeTimestamp

    private boolean m_upgradeTimestamp

### m_selectIndex

    private int m_selectIndex

### m_prepareIndex

    private int m_prepareIndex

### m_columnType

    private int m_columnType

Constructor Detail

### ColumnChange

    public ColumnChange()

Method Detail

### getColumn

    public Column getColumn()

### setColumn

    public void setColumn(Column column)

### getNullReplace

    public java.lang.Object getNullReplace()

### isNullReplace

    public boolean isNullReplace()

### setNullReplace

    public void setNullReplace(java.lang.Object nullReplace)

### isUpgradeTimestamp

    public boolean isUpgradeTimestamp()

### setUpgradeTimestamp

    public void setUpgradeTimestamp(boolean upgradeTimestamp)

### getSelectIndex

    public int getSelectIndex()

### setSelectIndex

    public void setSelectIndex(int selectIndex)

### getPrepareIndex

    public int getPrepareIndex()

### setPrepareIndex

    public void setPrepareIndex(int prepareIndex)

### getColumnType

    public int getColumnType()

### setColumnType

    public void setColumnType(int columnType)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.